# Timely NLP research papers

Here goes anything that meant anything at some point in time. This should be
useful for someone to get up-to-date with the NLP research of today.

- ["Long short-term memory" (Hochreiter et al. -
  1997)](https://www.bioinf.jku.at/publications/older/2604.pdf) - the original
  LSTM paper
- ["Understanding the difficulty of training deep feedforward neural networks"
  (Glorot et al. -
  2010)](https://proceedings.mlr.press/v9/glorot10a/glorot10a.pdf) - the
  original Glorot/Xavier initialization
- ["Generating Sequences With Recurrent Neural Networks" (Graves - aug.
  2013)](https://arxiv.org/abs/1308.0850) - introduces a primitive context
  mechanism (the predecessor of attention)
- ["Delving deep into rectifiers: surpassing human-level performance on ImageNet
  classification" (He et al. - feb. 2015)](https://arxiv.org/abs/1502.01852) -
  the original He/Kaiming initialization paper
- ["Batch Normalization: accelerating deep network training by reducing internal
  covariate shift" (Ioffe et al. - march.
  2015)](https://arxiv.org/abs/1502.03167) - the Batch Normalization paper, used
  by most CNN architectures today
- ["Neural machine translation by jointly learning to align and translate"
  (Bahdanau et al. - apr. 2015)](https://arxiv.org/abs/1409.0473) - one of the
  original Attention papers, preceding the Transformer
- ["U-net: convolutional neural networks for biomedical image segmentation"
  (Ronneberger et al. - may. 2015)](https://arxiv.org/abs/1505.04597) - the
  original U-net architecture for image models
- ["Effective Approaches to Attention-based Neural Machine Translation" (Luong
  et al. - sep. 2015)](https://arxiv.org/abs/1508.04025) - one of the other
  Attention papers
- ["Training Deep Nets with Sublinear Memory Cost" (Chen et al. - apr.
  2016)](https://arxiv.org/abs/1604.06174) - introduces gradient checkpointing
  for the first time, showing how to train larger models with little
  computational overhead
- ["Memory-Efﬁcient Backpropagation Through Time" (Gruslys et al. - jun.
  2016)](https://arxiv.org/abs/1606.03401) - improves on gradient checkpointing
  for RNNs
- ["Layer Normalization" (Hinton et al. - jul.
  2016)](https://arxiv.org/abs/1607.06450) - the Layer Normalization paper, used
  by the original Transformer architecture
- ["Attention is all you need" (Vaswani et al. - jun.
  2017)](https://arxiv.org/abs/1706.03762) - the original Transformer paper
- ["Root mean square layer normalization" (Zhang et al. - oct.
  2019)](https://arxiv.org/abs/1910.07467) - root mean square layer
  normalization, aiming to improve on the Layer normalization paper
- ["Scaling Laws for Neural Language Models" (Kaplan et al. (OpenAI) - jan.
  2020)](https://arxiv.org/abs/2001.08361) - details how models scale in terms
  of parameters, dataset size and compute used
- ["On Layer Normalization in the Transformer Architecture" (Xiong et al. - feb.
  2020)](https://arxiv.org/abs/2002.04745) - the paper looks at Post-LN (initial
  Transformer paper) and Pre-LN Transformer architectures
- ["GLU Variants Improve Transformer" (Shazeer - feb.
  2020)](https://arxiv.org/abs/2002.05202) - outlines how different activation
  functions improve the Transformer architecture; introduces 3 layer-FFNs, using
  different activations (SwiGLU, GEGLU, ReGLU etc.)
- ["Language models are few-shot learners"　(Brown et al. (OpenAI) - may.
  2020)](https://arxiv.org/abs/2005.14165) - introduces the GPT-3 (175B
  parameters) model and the technique of prompt engineering by using few-shot
  learning
- ["LoRA: Low-Rank Adaptation of Large Language Models" (Hu et al. - jun.
  2021)](https://arxiv.org/abs/2106.09685) - introduces fine-tuning using the
  LoRA algorithm, which helps train models for downstream tasks faster
- ["Scaling Language Models: Methods, Analysis & Insights from Training Gopher"
  (Rae et al. - dec. 2021)](https://arxiv.org/abs/2112.11446) - introduces
  Gopher, a 280B language model; continues to expand on the scaling laws of
  Transformer models
- ["Chain-of-Thought Prompting Elicits Reasoning in Large Language Models" (Wei
  et al. - jan. 2022)](https://arxiv.org/abs/2201.11903) - identifies
  chain-of-thought as a very helpful prompt engineering technique, which further
  increases a model's performance on a number of benchmarked tasks
- ["Training compute-optimal Large Language Models" (Hoffmann et al. - mar.
  2022)](https://arxiv.org/abs/2203.15556) - introduces Chinchilla, a 70B model
  trained on 1.4T tokens; continues work on how Transformer models scale
